Bug 604665 - POT file can't be rebuild
Summary: POT file can't be rebuild
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nikola Pajkovsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix, FutureFeature, Translation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-16 13:09 UTC by Piotr Drąg
Modified: 2014-02-02 22:14 UTC (History)
7 users (show)

Fixed In Version: abrt-1.1.13-1.fc12
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 05:27:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Piotr Drąg 2010-06-16 13:09:49 UTC
POT and PO files can't be rebuild neither by Transifex nor by hand on cloned repository. Following error occurs:

[Piotrek@Piotrek-laptop po (master)]$ intltool-update --pot
xgettext: error while opening "./../lib/Utils/backtrace_parser.c" for reading: No such file or directory
ERROR: xgettext failed to generate PO template file. Please consult
       error message above if there is any.

I guess POTFILES.in file is incorrect.

Comment 1 Nikola Pajkovsky 2010-06-16 13:21:01 UTC
I don't see any errors.

$ cd po/
$ intltool-update --pot
$ grep parser.c POTFILES.in 
lib/Utils/backtrace_parser.c
$ cd ..
$ ls lib/Utils/ | grep parser.c
backtrace_parser.c

Comment 2 Piotr Drąg 2010-06-16 13:24:52 UTC
Could you please try it on a fresh clone of abrt repo? I think your local clone has some changes not yet present in official abrt repository.

Comment 3 Karel Klíč 2010-06-16 13:26:33 UTC
backtrace_parser.c is generated from backtrace_parser.y during compilation

If there is something to be translated in the backtrace_parser, we should do it
in the .y file, not in the .c file.

Comment 4 Nikola Pajkovsky 2010-06-16 14:12:23 UTC
commit c887467391dfe07b0234ca0d524844cfe2fa9149
Author: Nikola Pajkovsky <npajkovs@redhat.com>
Date:   Wed Jun 16 16:07:43 2010 +0200

    rhbz:#604665 nothing for translation in backtrase_parser.[c,y]
    
    Signed-off-by: Nikola Pajkovsky <npajkovs@redhat.com>

pull please

Comment 5 Piotr Drąg 2010-06-16 14:24:50 UTC
Works now as it should, thank you!

Comment 6 Fedora Update System 2010-08-11 11:08:50 UTC
abrt-1.1.13-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/abrt-1.1.13-1.fc14

Comment 7 Fedora Update System 2010-08-12 12:57:34 UTC
abrt-1.1.13-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/abrt-1.1.13-1.fc13

Comment 8 Fedora Update System 2010-08-12 19:51:49 UTC
abrt-1.1.13-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update abrt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/abrt-1.1.13-1.fc14

Comment 9 Fedora Update System 2010-08-16 14:06:11 UTC
abrt-1.1.13-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/abrt-1.1.13-1.fc12

Comment 10 Fedora Update System 2010-08-17 05:26:26 UTC
abrt-1.1.13-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-08-20 13:30:46 UTC
abrt-1.1.13-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/abrt-1.1.13-2.fc14

Comment 12 Fedora Update System 2010-08-24 01:11:22 UTC
abrt-1.1.13-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-08-24 21:17:04 UTC
abrt-1.1.13-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.